[tool.poetry]
authors = ["Hendrik Dreesmann <hendrik.dreesmann@uol.de>"]
description = ""
name = "nyc_housing_data"
version = "0.1.0"

[tool.poetry.dependencies]
python = "3.8.10"
jupyterlab = "^3.1.13"
pandas = "^1.3.3"
pandas-profiling = "^3.0.0"
folium = "^0.12.1"
dataprep = "^0.3.0"
httpx = "^0.19.0"
lxml = "^4.6.3"
aiofiles = "^0.7.0"
requests-html = "^0.10.0"
xlrd = "^2.0.1"
openpyxl = "^3.0.9"
pyarrow = "^5.0.0"
pandas-bokeh = "^0.5.5"
pycaret = "^2.3.4"
yfinance = "^0.1.63"


[tool.poetry.dev-dependencies]
pytest = "^5.2"
black = "^21.9b0"

[build-system]
build-backend = "poetry.core.masonry.api"
requires = ["poetry-core>=1.0.0"]
